Package org.apache.wiki.auth.authorize

## Class WebContainerAuthorizer.LocalEntityResolver

- java.lang.Object
- - org.apache.wiki.auth.authorize.WebContainerAuthorizer.LocalEntityResolver

All Implemented Interfaces:
  `org.xml.sax.EntityResolver`

Enclosing class:
  WebContainerAuthorizer

    public class WebContainerAuthorizer.LocalEntityResolver
    extends java.lang.Object
    implements org.xml.sax.EntityResolver

XML entity resolver that redirects resolution requests by JDOM, JAXP and other XML parsers to locally-cached copies of the resources. Local resources are stored in the `WEB-INF/dtd` directory.

For example, Sun Microsystem's DTD for the webapp 2.3 specification is normally kept at `http://java.sun.com/dtd/web-app_2_3.dtd`. The local copy is stored at `WEB-INF/dtd/web-app_2_3.dtd`.

### Constructor Summary

Constructors
`LocalEntityResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.xml.sax.InputSource` `resolveEntity​(java.lang.String publicId, java.lang.String systemId)` Returns an XML input source for a requested external resource by reading the resource instead from local storage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalEntityResolver

    public LocalEntityResolver()

### Method Detail

#### resolveEntity

    public org.xml.sax.InputSource resolveEntity​(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

Returns an XML input source for a requested external resource by reading the resource instead from local storage. The local resource path is `WEB-INF/dtd`, plus the file name of the requested resource, minus the non-filename path information.

Specified by:
  `resolveEntity` in interface `org.xml.sax.EntityResolver`
Parameters:
  `publicId` - the public ID, such as `-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN`
  `systemId` - the system ID, such as `http://java.sun.com/dtd/web-app_2_3.dtd`
Returns:
  the InputSource containing the resolved resource
Throws:
  `org.xml.sax.SAXException` - if the resource cannot be resolved locally
  `java.io.IOException` - if the resource cannot be opened
See Also:
  `EntityResolver.resolveEntity(java.lang.String, java.lang.String)`